Description

CoCoA offers SortBy for a sorting a list wrt a given order.  Anders would like a fn to find the min/max of a list wrt a given order.

History

#1 - 05 Sep 2015 16:01 - John Abbott

Do we want these fns?

I already have (simple) implementations in my own personal copy of list.cpkg5.

If we want them then someone must also write documentation.

#2 - 08 Sep 2015 12:08 - Anna Maria Bigatti

- % Done changed from 0 to 20

John Abbott wrote:

Do we want these fns?

I already have (simple) implementations in my own personal copy of list.cpkg5.

 

Yes!

If we want them then someone must also write documentation.

 

I can do it (after you check them in)

#3 - 08 Sep 2015 12:52 - John Abbott

- Status changed from New to In Progress
- % Done changed from 20 to 50

JAA has checked that the fns work on a simplish example.

Code checked in.

Anna say's she'll write doc.  And a test?

>>> l:=["abc","def","g","hijk","lm"];

>>> MaxBy(l,shorter);

hijk

>>> MinBy(l,shorter);

g

#4 - 08 Sep 2015 13:44 - Anna Maria Bigatti

There is only one detail I'm undecided about:

you implemented the function with argument LessThan whereas it came natural to me to implement it as GreaterThan.  I'm now investigating how

else we use this kind of idea.

#5 - 08 Sep 2015 13:55 - John Abbott

I wanted to be compatible with SortBy and SortedBy, and perhaps also the C++ STL...

#6 - 08 Sep 2015 14:06 - Anna Maria Bigatti

John Abbott wrote:

I wanted to be compatible with SortBy and SortedBy, and perhaps also the C++ STL...

 

OK, I was confused... we always used LessThan.  Maybe I should improve the manual ;-)

#7 - 10 Sep 2015 13:41 - Anna Maria Bigatti

Tested and documented (and improved manual for SortedBy)

#8 - 15 Sep 2015 09:34 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Assignee set to John Abbott
- % Done changed from 50 to 90

#9 - 17 Feb 2016 12:40 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Closing after 5 months in feedback.
